StackStyle (rhino 1.7.14 API)

org.mozilla.javascript

## Enum StackStyle

- java.lang.Object
- - java.lang.Enum<StackStyle>
  - - org.mozilla.javascript.StackStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StackStyle>

      public enum StackStyle
      extends java.lang.Enum<StackStyle>

  This class distinguishes between the three different supported stack trace formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MOZILLA` This stack trace style comes from the old Mozilla code: `functionName()@fileName:lineNumber`
    `MOZILLA_LF` This is the same as MOZILLA but uses LF as speparator instead of the system dependent line separator.
    `RHINO` This is the default stack trace style in Rhino, which is like Java: `at fileName:lineNumber (functionName)`
    `V8` This stack trace style matches that output from V8, either: `at functionName (fileName:lineNumber:columnNumber)` or, for anonymous functions: `at fileName:lineNumber:columnNumber`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StackStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StackStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RHINO

          public static final StackStyle RHINO

      This is the default stack trace style in Rhino, which is like Java: `at fileName:lineNumber (functionName)`

    - #### MOZILLA

          public static final StackStyle MOZILLA

      This stack trace style comes from the old Mozilla code: `functionName()@fileName:lineNumber`

    - #### MOZILLA_LF

          public static final StackStyle MOZILLA_LF

      This is the same as MOZILLA but uses LF as speparator instead of the system dependent line separator.

    - #### V8

          public static final StackStyle V8

      This stack trace style matches that output from V8, either: `at functionName (fileName:lineNumber:columnNumber)` or, for anonymous functions: `at fileName:lineNumber:columnNumber`

  - ### Method Detail

    - #### values

          public static StackStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StackStyle c : StackStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StackStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null